<template>
  <div>
    <LHeader :text="text"></LHeader>
    
    <!-- 内容列表 -->
    <div class="con-list" @touchmove="showIndex = null">
      <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="touchstart(index, item)"
      >
        <van-row gutter="">
          <van-col span="5">所属项目:</van-col>
          <van-col span="19">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">隐患级别:</van-col>
          <van-col span="19">{{ item.hdLev }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">适用范围:</van-col>
          <van-col span="19">{{ item.hdRange }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">隐患类型:</van-col>
          <van-col span="19">{{ item.hdType }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">发现时间:</van-col>
          <van-col span="19">{{ item.hdDiscoveryTime }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">超期标识:</van-col>
          <van-col span="19">{{ item | formatTime }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">状态:</van-col>
          <van-col span="19">{{ item.taskName }}</van-col>
        </van-row>

        <!-- 长按显示遮罩层 -->
        <van-overlay :show="showIndex == index">
          <div class="wrapper" @click.stop ="showIndex = null">
            <van-button round type="primary" @click="goDetail(item)"
              >详情</van-button
            >
            <van-button round type="info" @click="goConfirm(item)"
              >确认</van-button
            >
          </div>
        </van-overlay>
      </van-cell-group>
    </div>
    <!-- 暂无数据 -->
    <div
      style="width: 100%;text-align: center; font-size: .48rem;position: fixed; top: 30%;"
      v-if="isHaveNews"
    >
      暂无数据
    </div>
  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { dangerReview } from "@/service/danger";
export default {
  components: {
    LHeader
  },
  data() {
    return {
      text: "隐患复查",
      isHaveNews: false,
      searchValue: "",
      messageList: [],
      Loop: "", // 定时器
      showIndex: null // 是否显示遮罩层
    };
  },
  created() {
    this.postList();
  },
  methods: {
    onSearch(val) {
    },

    postList() {
      this.$toast.loading({
        message: "加载中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      dangerReview("/review/list")
        .then(res => {
          this.$toast.clear();
          this.messageList = res.rows;
           // 判断有无数据返回
          if (this.messageList.length == 0) {
            this.isHaveNews = true;
          }
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("加载失败,请稍后再试");
        });
    },

    touchstart(index, item) {
      if (this.showIndex != null) {
        this.showIndex = null;
        return
      }
      this.showIndex = index;
    },
   

    // 详情
    goDetail(data) {
      this.$router.push({
        name: "normal-detail",
        params: {
          id: data.taskId
        }
      });
      this.showIndex = null;
    },
    // 确认
    goConfirm(data) {
      localStorage.setItem('reviewdanger_params',JSON.stringify(data))
      this.$router.push({
        name: "review-add",
        params: {
          data,
        }
      });
      this.showIndex = null;
    }
  },
  filters: {
    formatTime: function(row) {
      if (new Date(row.dueDate).getTime() <= row.rectificationTime) {
        return "超期";
      } else if (
        new Date(row.dueDate).getTime() >= row.rectificationTime &&
        new Date(row.dueDate).getTime() - 259200000 <= row.rectificationTime
      ) {
        //三天
        return "临期";
      } else {
        return "正常";
      }
    }
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
.con-list {
  padding: 10px 10px 0.533333rem;
  background-color: #f0f1f5;
  .van-cell-group--inset {
    margin: 0;
    margin-bottom: 10px;
    padding: 10px;
    font-size: 13px;
    position: relative;
    .van-row {
      margin-bottom: 0.133333rem;
      line-height: 0.64rem;
    }
    .van-overlay {
      position: absolute;
      .wrapper {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
      }
    }
  }
}
</style>
